<?xml version="1.0" encoding="UTF-8"?>
<ehcache>

    <diskStore path="java.io.tmpdir"/>
	
	<!--cacheManagerPeerListenerFactory 
		class="net.sf.ehcache.distribution.RMICacheManagerPeerListenerFactory"
		properties="port=17780,socketTimeoutMillis=120000" /-->
		
	<!--cacheManagerPeerProviderFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerProviderFactory"
		properties="peerDiscovery=automatic,multicastGroupAddress=230.0.0.100, multicastGroupPort=7780" /-->

	<!--cacheManagerPeerProviderFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerProviderFactory"
		properties="peerDiscovery=manual, rmiUrls=//1.1.16.11:17780/SwiftSpSessionCache"/-->
		
    <defaultCache
            maxElementsInMemory="100000"
            eternal="false"
            timeToIdleSeconds="7200"
            timeToLiveSeconds="0"
            overflowToDisk="false"
            maxElementsOnDisk="100000"
            diskPersistent="false"
            diskExpiryThreadIntervalSeconds="120"
            memoryStoreEvictionPolicy="LRU">
			<!--cacheEventListenerFactory
	            class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"
	            properties="replicateAsynchronously=true, replicatePuts=true, replicateUpdates=true,
	            replicateUpdatesViaCopy=false, replicateRemovals=true "/-->
            <!--bootstrapCacheLoaderFactory
				class="net.sf.ehcache.distribution.RMIBootstrapCacheLoaderFactory"
				properties="bootstrapAsynchronously=true,maximumChunkSizeBytes=5000000" /-->
    </defaultCache>
	
	<cache name="SwiftSpSessionCache"
            maxElementsInMemory="10000"
            eternal="false"
            timeToIdleSeconds="7200"
            timeToLiveSeconds="0"
            overflowToDisk="false"
            maxElementsOnDisk="100000"
            diskPersistent="false"
            diskExpiryThreadIntervalSeconds="120"
            memoryStoreEvictionPolicy="LRU">
            <!--cacheEventListenerFactory
	            class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"
	            properties="replicateAsynchronously=true, replicatePuts=true, replicateUpdates=true,
	            replicateUpdatesViaCopy=false, replicateRemovals=true "/-->
            <!--bootstrapCacheLoaderFactory
				class="net.sf.ehcache.distribution.RMIBootstrapCacheLoaderFactory"
				properties="bootstrapAsynchronously=true,maximumChunkSizeBytes=5000000" /-->
    </cache>
       
    <cache name="SwiftArtifactCache"
            maxElementsInMemory="1000"
            eternal="false"
			timeToIdleSeconds="7200"
            timeToLiveSeconds="7200"
            overflowToDisk="false"
            memoryStoreEvictionPolicy="LRU">
            <!--cacheEventListenerFactory
	            class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"
	            properties="replicateAsynchronously=true, replicatePuts=true, replicateUpdates=true,
	            replicateUpdatesViaCopy=false, replicateRemovals=true "/-->
            <!--bootstrapCacheLoaderFactory
				class="net.sf.ehcache.distribution.RMIBootstrapCacheLoaderFactory"
				properties="bootstrapAsynchronously=true,maximumChunkSizeBytes=5000000" /-->
     </cache>
     
	<cache name="SwiftAdminCache"
            maxElementsInMemory="1000"
            eternal="true"
			timeToIdleSeconds="0"
            timeToLiveSeconds="0"
            overflowToDisk="false"
            memoryStoreEvictionPolicy="LRU">
    </cache>       

</ehcache>